fstrcolli(3)

NAME
fstrcolli - fuzzy comparison of two strings using the current locale

SYNOPSIS
#include <fstrcmp.h>

#define FSTRCMP_IDENTICAL
#define FSTRCMP_THRESHOLD
#define FSTRCMP_ERROR

int fstrcolli(const char *string1, const char *string2);

DESCRIPTION
The strcolli() function compares the two strings sting1 and string2. The comparison is based on strings interpreted as appropriate for the program's current locale for category LC_CTYPE.

RETURN VALUE
The fstrcolli function returns an int value between 0 and FSTRCMPI_IDENTICAL. A value of 0 means the strings are utterly un-alike. A value of FSTRCMPI_IDENTICAL means the strings are identical. A value of more than FSTRCMPI_THRESHOLD (it lies between 0 and FSTRCMPI_IDENTICAL) would be considered "similar" by most people.

A value of FSTRCMPI_ERROR (always negative) indicates a malloc(3) or mbstowcs(3) failure.

SEE ALSO

fstrcmpi(3)
    fuzzy comparison of two strings

fstrcoll(3)
    fuzzy comparison of two strings using the current locale

strcoll(3)
    compare two strings using the current locale

mbstowcs(3)
    convert a multibyte string to a wide-character string

COPYRIGHT
fstrcmp version 0.7
Copyright (C) 2009 Peter Miller
Peter Miller <pmiller@opensource.org.au>

The comparison code is derived from the fuzzy comparison functions in GNU Gettext 0.17. The GNU Gettext comparison functions were, in turn, derived from GNU Diff 2.7.

Copyright (C) 1988-2009 Free Software Foundation